<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [args](./bitburner.ns.args.md)

## NS.args property

Arguments passed into the script.

These arguments can be accessed as a normal array by using the `[]` operator (`args[0]`<!-- -->, `args[1]`<!-- -->, etc...). Arguments can be string, number, or boolean. Use `args.length` to get the number of arguments that were passed into a script.

**Signature:**

```typescript
readonly args: ScriptArg[];
```

## Example

`run example.js 7 text true`

```js
// example.js
export async function main(ns) {
  ns.tprint(ns.args.length) // 3
  ns.tprint(ns.args[0]); // 7 (number)
  ns.tprint(ns.args[1]); // "text" (string)
  ns.tprint(ns.args[2]); // true (boolean)
  ns.tprint(ns.args[3]); // undefined, because only 3 arguments were provided
}
```

